# $Revision: 1.186 $, $Date: 2009/02/25 16:06:44 $
# TODO
#  - it creates file: .mldonkey/mlnet_strings.C
#
# Conditional build:
%bcond_without	gnutella	# without Gnutella LimeWire support
%bcond_without	gnutella2	# without Gnutella2 support
%bcond_without	fasttrack	# without FastTrack support
%bcond_with	directconnect	# with Direct Connect support
%bcond_without	donkey		# without eDonkey support
%bcond_without	bittorrent	# without BitTorrent support
%bcond_without	filetp		# without fileTP support
%bcond_without	gui		# with mlgui

Summary:	eDonkey 2000 p2p network client
Summary(pl.UTF-8):	Klient sieci p2p eDonkey 2000
Name:		mldonkey
Version:	3.0.0
Release:	1
License:	GPL
Group:		Applications/Networking
Source0:	http://dl.sourceforge.net/mldonkey/%{name}-%{version}.tar.bz2
# Source0-md5:	d45b37f334a4008ed15343dfb2caf453
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.sh
Source4:	%{name}.png
Source5:	%{name}-gui.desktop
Patch0:		%{name}-configwin.patch
Patch1:		%{name}-newgtk.patch
URL:		http://mldonkey.sourceforge.net/Main_Page
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	cpp
BuildRequires:	gd-devel >= 2.0.35-3
%{?with_gui:BuildRequires:	gtk+2-devel >= 2:2.4.0}
BuildRequires:	libmagic-devel
BuildRequires:	libpng-devel
%{?with_gui:BuildRequires:	librsvg-devel >= 2.0}
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
BuildRequires:	ocaml-camlp4 >= 1:3.10.0
%{?with_gui:BuildRequires:	ocaml-lablgtk2-devel >= 2.6.0}
%{?with_gui:BuildRequires:	ocaml-lablgtk2-rsvg-devel >= 2.6.0}
BuildRequires:	perl-base
%{?with_gui:BuildRequires:	pkgconfig}
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	zlib-devel
Requires(post):	sed >= 4.0
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(triggerpostun):	grep
Requires(triggerpostun):	sed >= 4.0
Requires:	nc
Requires:	procps
Requires:	rc-scripts >= 0.4.0.10
Requires:	wget
Provides:	group(mldonkey)
Provides:	user(mldonkey)
# http://caml.inria.fr/mantis/view.php?id=3072
# http://buildlogs.pld-linux.org/index.php?idx=15&ok=0&ns=0&cnt=16&off=16&id=415a7e23dca873a5fa0f1811e5c2503b
ExcludeArch:	alpha
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MLDonkey is a door to the 'donkey' network, a decentralized network
used to exchange big files on the Internet. It is written in a
wonderful language, called Objective-Caml, and present most features
of the basic Windows donkey client, plus some more:
- It should work on most UNIX-compatible platforms.
- You can remotely command your client, either by telnet, on a WEB
  browser, or with the GTK+ interface.
- You can connect to several servers, and each search will query all
  the connected servers.
- You can select MP3s by bitrates in queries (useful ?).
- You can select the name of a downloaded file before moving it to
  your incoming directory.
- You can have several queries in the graphical user interface at the
  same time.
- You can remember your old queries results in the command-line
  interface.
- You can search in the history of all files you have seen on the
  network.

It can also access other peer-to-peer networks:
- Direct Connect
- Open Napster
- Gnutella LimeWire

%description -l pl.UTF-8
mldonkey jest nowym klientem do eDonkey 2000, zdecentralizowanej sieci
peer-to-peer bardzo wydajnej przy przesyłaniu dużych plików dzięki
protokołowi pobierania danych z wielu źródeł. Klient ten został
napisany w języku Objective-Caml i ma większość cech podstawowego
klienta windowsowego, a ponadto:
- działa na większości platform uniksowych,
- pozwala zdalnie sterować klientem przez interfejs telnet, WWW lub
  GTK+,
- można łączyć się z kilkoma serwerami, wtedy każde przeszukiwanie
  odpyta połączone serwery,
- można wybierać pliki MP3 po bitrate w zapytaniach,
- można wybierać nazwę pliku do ściągnięcia przed przejściem do
  katalogu incoming,
- można jednocześnie wykonywać kilka zapytań w graficznym interfejsie,
- można zapamiętać wyniki zapytań w interfejsie z linii poleceń,
- można przeszukiwać historię wszystkich plików widzianych w sieci.

Klient umożliwia także dostęp do innych sieci peer-to-peer:
- Direct Connect,
- Open Napster,
- Gnutella LimeWire.

%package gui
Summary:	Graphical frontend for mldonkey based on GTK+
Summary(pl.UTF-8):	Graficzny interfejs użytkownika GTK+ dla mldonkey
Group:		X11/Applications/Networking

%description gui
The GTK+ interface for mldonkey provides a convenient way of managing
all mldonkey operations. It gives details about connected servers,
downloaded files, friends and lets one search for files in a pleasing
way.

%description gui -l pl.UTF-8
Interfejs użytkownika GTK+ dla mldonkey daje wygodny sposób
zarządzania wszystkimi operacjami mldonkey. Udostępnia szczegóły
dotyczące połączonych serwerów, ściąganych plików, znajomych oraz
pozwala wyszukiwać pliki w przyjemny sposób.

%package submit
Summary:	This tool gives you an easy way to add a ed2k-link
Summary(pl.UTF-8):	Narzędzie pozwalające łatwo dodać odnośniki ed2k
Group:		X11/Applications
Requires:	kdelibs
Requires:	perl-libwww

%description submit
This tool gives you an easy way to add a ed2k-link (like
ed2k://|file|filename.exe|21352658|72b0b287cab7d875ccc1d89ebe910b9g|)
with a single click to your mldonkey download queue.

You need to edit /etc/sysconfig/mldonkey_submit.

%description submit -l pl.UTF-8
To narzędzie pozwala łatwo dodać odnośnik ed2k (w rodzaju
ed2k://|file|filename.exe|21352658|72b0b287cab7d875ccc1d89ebe910b9g|)
pojedynczym kliknięciem na kolejkę ściągania mldonkey.

Trzeba zmodyfikować plik /etc/sysconfig/mldonkey_submit.

%package utils
Summary:	Misc utils for mldonkey
Summary(pl.UTF-8):	Różne narzędzia dla mldonkeya
Group:		Applications/Networking

%description utils
This package includes misc utils for mldonkey eg.: mld_hash,
make_torent, get_range, copysource, subconv, svg_converter.

%description utils -l pl.UTF-8
Ten pakiet zawiera następujące narzędzia dla mldonkeya: mld_hash,
make_torent, get_range, copysource, subconv, svg_converter.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/automake/config.sub config

cd config
%{__autoconf}
%configure \
	--enable-ocamlver=$(rpm -q --qf %{V} ocaml-camlp4) \
	--enable-pthread \
	%{?with_gnutella:--en}%{!?with_gnutella:--dis}able-gnutella \
	%{?with_gnutella2:--en}%{!?with_gnutella2:--dis}able-gnutella2 \
	%{?with_fasttrack:--en}%{!?with_fasttrack:--dis}able-fasttrack \
	%{?with_directconnect:--en}%{!?with_directconnect:--dis}able-directconnect \
	%{?with_donkey:--en}%{!?with_donkey:--dis}able-donkey \
	%{?with_bittorrent:--en}%{!?with_bittorrent:--dis}able-bittorrent \
	%{?with_filetp:--en}%{!?with_filetp:--dis}able-filetp \
	%{?with_gui:--en}%{!?with_gui:--dis}able-gui%{?with_gui:=newgui2}

cd ..
%{__make}
%{__make} utils

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_libdir}/mldonkey,/etc/rc.d/init.d,/etc/sysconfig} \
	$RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir},%{_datadir}/services,/var/log}

# core
install mlnet $RPM_BUILD_ROOT%{_sbindir}/mlnetd
install distrib/mldonkey_command $RPM_BUILD_ROOT%{_bindir}/mldonkey_command

%if %{with gui}
install mlgui $RPM_BUILD_ROOT%{_bindir}/mlgui
install mlnet+gui $RPM_BUILD_ROOT%{_bindir}/mlnet+gui
install mlguistarter $RPM_BUILD_ROOT%{_bindir}/mlguistarter
install distrib/mldonkey_previewer $RPM_BUILD_ROOT%{_bindir}/mldonkey_previewer
%endif

# util
install make_torrent $RPM_BUILD_ROOT%{_bindir}
install get_range $RPM_BUILD_ROOT%{_bindir}
install mld_hash $RPM_BUILD_ROOT%{_bindir}
install copysources $RPM_BUILD_ROOT%{_bindir}
install subconv $RPM_BUILD_ROOT%{_bindir}
install svg_converter $RPM_BUILD_ROOT%{_bindir}

install distrib/ed2k_submit/mldonkey_submit $RPM_BUILD_ROOT%{_bindir}/mldonkey_submit
install distrib/ed2k_submit/mldonkey $RPM_BUILD_ROOT/etc/sysconfig/mldonkey_submit
install distrib/ed2k_submit/ed2k.protocol $RPM_BUILD_ROOT%{_datadir}/services/ed2k.protocol

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/mldonkey
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/mldonkey
install %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/mlnet
%if %{with gui}
install %{SOURCE4} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE5} $RPM_BUILD_ROOT%{_desktopdir}
%endif

> $RPM_BUILD_ROOT/var/log/mldonkey.log

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 33 mldonkey
%useradd -m -u 47 -d /home/services/mldonkey -s /bin/sh -g mldonkey -c "mldonkey" mldonkey

%post
if [ ! -f /var/log/mldonkey.log ]; then
	touch /var/log/mldonkey.log
	chmod 000 /var/log/mldonkey.log
	chown mldonkey:mldonkey /var/log/mldonkey.log
	chmod 640 /var/log/mldonkey.log
fi

/sbin/chkconfig --add mldonkey
%service mldonkey restart

%preun
if [ "$1" = "0" ]; then
	%service mldonkey stop
	/sbin/chkconfig --del mldonkey
fi

%postun
if [ "$1" = "0" ]; then
	%userremove mldonkey
	%groupremove mldonkey
fi

%triggerpostun -- mldonkey < 2.5.28-0.4
if [ -f /etc/sysconfig/mldonkey.rpmnew ]; then
	# new sysconfig, with lots of vars
	# we copy from old one just $SERVICE_RUN_NICE_LEVEL
	a=$(grep ^SERVICE_RUN_NICE_LEVEL /etc/sysconfig/mldonkey)
	if [ "$a" ]; then
		sed -i -e "s/^SERVICE_RUN_NICE_LEVEL.*/$a/" /etc/sysconfig/mldonkey.rpmnew
	fi
	cp -f /etc/sysconfig/mldonkey{,.rpmsave}
	mv -f /etc/sysconfig/mldonkey{.rpmnew,}
fi
chmod 640 /etc/sysconfig/mldonkey

%files
%defattr(644,root,root,755)
%doc docs/* distrib/{Authors.txt,Bugs.txt,ChangeLog,ed2k_links.txt,Todo.txt}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/mldonkey
%attr(754,root,root) /etc/rc.d/init.d/mldonkey
%attr(755,root,root) %{_bindir}/mlnet
%attr(755,root,root) %{_bindir}/mldonkey_command
%attr(755,root,root) %{_sbindir}/mlnetd
%attr(640,mldonkey,mldonkey) %ghost /var/log/mldonkey.log

%if %{with gui}
%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mlgui
%attr(755,root,root) %{_bindir}/mlnet+gui
%attr(755,root,root) %{_bindir}/mlguistarter
%attr(755,root,root) %{_bindir}/mldonkey_previewer
%{_pixmapsdir}/*
%{_desktopdir}/*.desktop
%endif

%files submit
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/mldonkey_submit
%attr(755,root,root) %{_bindir}/mldonkey_submit
%{_datadir}/services/ed2k.protocol

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/get_range
%attr(755,root,root) %{_bindir}/copysources
%attr(755,root,root) %{_bindir}/make_torrent
%attr(755,root,root) %{_bindir}/mld_hash
%attr(755,root,root) %{_bindir}/subconv
%attr(755,root,root) %{_bindir}/svg_converter

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mldonkey.spec,v $
Revision 1.186  2009/02/25 16:06:44  duddits
- up to 3.0.0

Revision 1.185  2009/02/06 17:30:42  paszczus
- updated to 2.9.7

Revision 1.184  2008/08/09 07:14:18  arvenil
- up to 2.9.6
- removed not working bconds and configure options

Revision 1.183  2008-05-05 19:19:12  arvenil
- up to 2.9.5
- there is no sparc on TH (removed from TODO)

Revision 1.182  2008-03-29 23:43:18  arvenil
- up to 2.9.4

Revision 1.181  2008-02-13 00:21:19  sls
- ver. 2.9.3

Revision 1.180  2008-02-06 22:25:16  glen
- just build with current ocaml; rel 4

Revision 1.179  2008-02-06 21:19:28  glen
- rel 3

Revision 1.178  2008-02-06 20:36:10  glen
- merge triggers; rel 2

Revision 1.177  2008-02-06 20:35:06  glen
- never use '<=' in trigger comparision

Revision 1.176  2007-11-11 14:53:50  adamg
- updated to 2.9.2

Revision 1.175  2007/09/29 21:09:05  arvenil
- up to 2.9.1 (not tested if it works)

Revision 1.174  2007/09/12 18:13:21  arvenil
- sort BR

Revision 1.173  2007/09/12 13:06:42  arvenil
- fixed BR

Revision 1.172  2007/09/11 08:24:15  arvenil
- remove last patch (there is already a way for changing required ocaml version)
- updated ocaml_ver

Revision 1.171  2007/09/09 16:57:37  arvenil
- up to 2.9.0
- fix for mismatched ocaml version
- BR: xorg-lib-libXpm-devel (dont know why he needs it even with --without gui)

Revision 1.170  2007/06/19 20:04:20  qboosh
- BR: gd-devel libmagic-devel libpng-devel

Revision 1.169  2007/06/16 23:43:18  sls
- rel. 1

Revision 1.168  2007/06/16 19:44:42  sls
- ver. 2.8.7

Revision 1.167  2007/04/22 17:03:03  qboosh
- more gui BRs (pkgconfig, higher versions of gtk stuff)

Revision 1.166  2007/04/03 14:17:11  qboosh
- restored changelog entry

Revision 1.165  2007/04/03 10:34:48  sls
- rel. 1

Revision 1.164  2007/04/03 09:52:38  sls
- there's no src/applet
- rel. 0.9

Revision 1.163  2007/04/03 09:34:39  sls
- ver. 2.8.4

Revision 1.162  2007/03/12 03:29:14  sls
- ver. 2.8.3

Revision 1.161  2007/02/13 06:46:54  glen
- tabs in preamble

Revision 1.160  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.159  2007/01/08 00:17:02  qboosh
- ocaml 3.09.3

Revision 1.158  2007/01/06 22:42:08  sls
- rel 1
- FAQ.html disapeared

Revision 1.157  2007/01/06 22:06:36  sls
- version 2.8.2
- removed outdated dnscheck.patch

Revision 1.156  2006/12/01 22:55:45  mguevara
- added br librsvg-devel and cpp

Revision 1.155  2006/11/23 17:14:14  sls
- version up to 2.8.1
- added patch dnscheck
- removed missing (outdated) mlchat and mlim

Revision 1.154  2006/11/07 22:29:01  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.153  2006/10/01 22:02:22  glen
- rel 2

Revision 1.152  2006/09/13 08:41:12  paszczus
- updated to 2.7.7

Revision 1.151  2006/09/08 18:03:19  glen
- rel 2 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.150  2006/05/31 16:38:47  glen
- rel 1

Revision 1.149  2006/05/21 14:02:14  paszczus
- updated to 2.7.6; updated ocaml_ver to 3.09.2

Revision 1.148  2006/04/17 16:53:11  qboosh
- restored standard sf source URL

Revision 1.147  2006/04/17 16:47:13  paszczus
- md5

Revision 1.146  2006/04/17 16:45:18  paszczus
- updated to 2.7.5
- updated Source0 and URL
- removed dead audiogalaxy plugin support
- turn off broken plugins
- cleanups
- release 0.1

Revision 1.145  2006/04/16 20:35:31  qboosh
- removed useless gui exclude on alpha

Revision 1.144  2006/04/16 20:11:19  glen
- ExcludeArch: alpha, rel 2

Revision 1.143  2006/04/16 12:13:14  glen
- alpha fails to build

Revision 1.142  2006/04/16 11:22:45  glen
- enable newgui2
- remove build hacks which seem unneccessary

Revision 1.141  2006/04/16 10:20:06  glen
- use epoch in ocaml macro

Revision 1.140  2006/03/05 14:42:52  glen
- use %service, adapterize, cosmetics

Revision 1.139  2006/02/02 17:38:45  qboosh
- patch cleanup, updated ocaml_ver

Revision 1.138  2006/01/22 21:03:26  glen
- submit-case patch is applied upstream

Revision 1.137  2006/01/22 19:41:14  paszczus
- release 1 (works for me and seems to creating $home)
- STBR

Revision 1.136  2006/01/22 19:33:41  paszczus
- updated to 2.7.3
- updated Patch2: mldonkey-submit-case.patch
- release 0.1 to test for creating $home directory

Revision 1.135  2005/12/21 11:19:54  blekot
- more TODO (mlnetd crash on sparc)

Revision 1.134  2005/12/09 20:24:21  paszczus
- updated to 2.7.1

Revision 1.133  2005/12/04 23:10:18  glen
- adapterized (sorted %verify flags)

Revision 1.132  2005/11/29 16:31:42  czucz
- BR: libstdc++-devel

Revision 1.131  2005/11/21 22:21:19  paszczus
- updated to 2.7.0

Revision 1.130  2005/11/18 21:10:33  paszczus
- updated to 2.6.7
- updated Patch1: mldonkey-newgtk.patch

Revision 1.129  2005/10/11 09:25:11  glen
- updated initscripts and client script (mlnet), moved daemon (mlnetd) to sbin; rel 2

Revision 1.128  2005/10/10 22:53:04  glen
- no it should not (reverted once again sysconfig/mldonkey permission change)
- in any case the file should be owned by root not mldonkey

Revision 1.127  2005/10/10 22:16:18  paszczus
- /etc/sysconfig/mldonkey file must be readable for mldonkey user

Revision 1.126  2005/09/06 16:31:38  glen
- reverted last change, there's written mldonkey admin
  username/password, and password is considered secret in common sense

Revision 1.125  2005/09/06 07:51:58  gotar
- o+r for starting mlnet from hand (there's no secret information in there)

Revision 1.124  2005/09/05 14:20:25  paszczus
- updated to 2.6.4
- changed name from ed2k_hash to mld_hash
- added file svg_converter to utils subpackage
- release 1

Revision 1.123  2005/08/22 15:58:04  paszczus
- ocaml 3.08.4

Revision 1.122  2005/08/22 13:48:54  paszczus
- updated to 2.6.3

Revision 1.121  2005/08/11 15:33:56  paszczus
- removed 2 entries from TODO
- added R: nc (small package, so no sense to move mldonkey_command to -utils)

Revision 1.120  2005/08/10 21:10:41  glen
- typos

Revision 1.119  2005/08/10 20:39:11  paszczus
- updated to 2.6.1
- changed bcond to without gui by default (because changes in this version)

Revision 1.118  2005/07/21 11:57:41  glen
- fix last commit msg!

Revision 1.117  2005/07/21 10:31:34  luzik
- updated to 2.6.0
- rel 1

Revision 1.116  2005/07/20 21:34:16  glen
- disable BR ocaml-lablgtk-devel when bcond gui off

Revision 1.115  2005/07/20 19:39:35  glen
- 2.5.30.17 (not tested)

Revision 1.114  2005/06/09 06:17:28  paszczus
- updated to 2.5.30.16

Revision 1.113  2005/05/16 20:13:47  paszczus
- updated to 2.5.30.15

Revision 1.112  2005/05/02 08:59:38  paszczus
- updated to 2.5.30.14

Revision 1.111  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.110  2005/04/17 21:06:11  paszczus
- updated to 2.5.30.6

Revision 1.109  2005/04/17 09:24:13  qboosh
- \ too much

Revision 1.108  2005/04/16 22:04:35  glen
- duplicate not duplicate

Revision 1.107  2005/04/16 17:35:50  djurban
- rel. 0.1, doesnt work out of the box.
- fix ocaml version (head has 3.08.3

Revision 1.106  2005/04/15 16:03:53  paszczus
- adaptarized

Revision 1.105  2005/04/14 21:19:59  paszczus
- audiogalaxy and opennap build by default
- cleanups
- release 1

Revision 1.104  2005/04/14 20:51:18  paszczus
- updated to 2.5.30.5

Revision 1.103  2005/04/10 21:36:45  paszczus
- release down to 0.1 cause it build only without gui

Revision 1.102  2005/04/10 18:07:25  kolodko
- added macro: %{?with_gui:BuildRequires:     gtk+-devel}

Revision 1.101  2005/04/10 07:37:28  paszczus
- fixed mldonkey.init script
- removed mldonkey-iconv-in-libc.patch

Revision 1.100  2005/04/09 20:00:17  paszczus
- Source0 unification

Revision 1.99  2005/04/09 19:48:25  paszczus
- updated to 2.5.30.4

Revision 1.98  2005/04/07 20:05:48  paszczus
- updated to 2.5.30.3

Revision 1.97  2005/03/21 08:58:20  paszczus
- updated to 2.5.30-1
- commented some lines, please don`t remove it!
- release 1
- STBR

Revision 1.96  2005/03/17 23:47:09  paszczus
- last fix, STBR

Revision 1.95  2005/03/17 10:30:36  paszczus
- grr, one more fix

Revision 1.94  2005/03/17 10:28:04  paszczus
- fixed Source0 and Version

Revision 1.93  2005/03/17 09:47:43  paszczus
- updated patch_pack to 30c

Revision 1.92  2005/03/16 15:57:30  paszczus
- changed bcond to default build with cymes and directconnect
- release 2

Revision 1.91  2005/03/14 23:53:45  paszczus
- patch_pack goes to CVS

Revision 1.90  2005/03/14 23:07:07  paszczus
- updated to 2.5.30
- readded patch_pack (30a)
- STBR

Revision 1.89  2005/02/28 19:47:39  glen
- touch /var/log/mldonkey.log only if it's inexistent

Revision 1.88  2005/02/28 19:44:33  glen
- TODO added

Revision 1.87  2005/02/27 14:42:04  paszczus
- updated to 2.5.28.1
- commented Patch4
- release 1

Revision 1.86  2005/02/27 14:32:34  paszczus
- reverted because 'A SERIOUS bug is in 2.5.29, don't use it, version 2.5.30 will appear soon !'

Revision 1.84  2005/02/24 11:02:23  glen
- adapterized

Revision 1.83  2005/02/22 12:54:03  glen
- finish trigger

Revision 1.82  2005/02/22 11:43:36  glen
- trigger TODO

Revision 1.81  2005/01/24 12:15:52  qboosh
- unified (sort verify() flags)

Revision 1.80  2005/01/24 12:11:14  kolodko
- added macros %verify(not md5 size mtime) for /etc/sysconfig/mldonkey

Revision 1.79  2005/01/24 11:43:18  glen
- kill kill_mldonkey (unneeded perl dep and our initscript does the same)

Revision 1.78  2005/01/24 09:38:09  qboosh
- killed invalid _sysconfdir usage

Revision 1.77  2005/01/23 23:10:21  glen
- case insensitive e2dk url parsing for mldonkey_submit
- update todo

Revision 1.76  2005/01/23 23:08:11  glen
- trigger to fix config file permission

Revision 1.75  2005/01/23 22:35:34  glen
- safe perm for sysconfig/mldonkey, it contains passwords

Revision 1.74  2005/01/20 17:21:01  speedy
- release 0.2 [builds, but...]
- directconnect need more work

Revision 1.73  2005/01/15 16:49:12  glen
- rel 0.1 -- it doesn't build!

Revision 1.72  2005/01/15 13:27:55  qboosh
- ocaml epoch
- dropped main_ver/sub_ver (didn't serve anything) - use just version
- unified bconds syntax

Revision 1.71  2005/01/15 10:46:18  troll
- up to 2.5.28
- added patch_pack28h
- thx to Michal Kochanowicz  michal at michal.waw.pl

Revision 1.70  2005/01/15 02:40:25  glen
- todo part

Revision 1.69  2005/01/11 12:35:17  glen
- put server log to /var/log/mldonkey.log
- updated initscript
- rel 4
- STBR

Revision 1.68  2005/01/02 18:13:33  havner
- rel 3

Revision 1.67  2004/12/27 10:29:21  glen
- rc-scripts --fork option to daemon appeared from r3843, which is in release 0.4.0.10

Revision 1.66  2004/12/22 10:22:19  glen
- killed bogus "mldonkey -exit" in %post

Revision 1.65  2004/12/21 18:26:08  glen
- deps for updated initscript

Revision 1.64  2004/11/25 08:07:39  kolodko
- Requires(post) sed >= 4.0

Revision 1.63  2004/10/28 10:49:16  paladine
- "MP3" unification

Revision 1.62  2004/10/28 09:58:32  paladine
- "GTK+" unification (hope thats all)

Revision 1.61  2004/10/25 21:49:33  kolodko
- added triggerpostun (unification for SERVICE_RUN_NICE_LEVEL)
- REL 2.1

Revision 1.60  2004/10/21 23:23:37  domelu
- default build --without opennap (broken)

Revision 1.59  2004/10/17 15:08:28  domelu
- fixed mldonkey.init (nice)
- rel. 2, rebuild

Revision 1.58  2004/10/13 23:21:19  ankry
- %userremove/%groupremove support, standardized

Revision 1.57  2004/09/14 09:59:10  gotar
- made up %description of utils subpackage, STBR

Revision 1.56  2004/08/13 13:11:02  havner
- without gui for alpha
- rel 1

Revision 1.55  2004/08/09 10:12:56  adasi
- up to 2.5-22
- not tested

Revision 1.54  2004/08/06 22:12:50  arekm
- rel 5; req kdelibs instead of kdebase

Revision 1.53  2004/07/23 17:21:12  kali
- desktop fix, rel. 4

Revision 1.52  2004/07/04 10:54:49  ciesiel
- rel.3

Revision 1.51  2004/06/29 09:49:45  grzegorz
- added BuildRequires: zlib-devel

Revision 1.50  2004/06/04 21:42:01  kali
- spaces->tabs

Revision 1.49  2004/06/04 21:32:37  kali
- cosmetics

Revision 1.48  2004/06/04 08:02:47  grzegorz
- add BR: ncurses-devel

Revision 1.47  2004/05/12 10:31:20  arekmat
- corrected and added more bconds
- enabled threads

Revision 1.46  2004/05/07 14:36:32  qboosh
- added iconv-in-libc patch, release 2

Revision 1.45  2004/05/06 18:25:04  ciesiel
- upgraded to version 2.5.21

Revision 1.44  2004/04/17 07:38:56  wiget
- updated to 2.5.18
- use %configure not %configure2_13
- added subconv (subtitles conversion tool)

Revision 1.43  2004/04/14 19:16:46  mmazur
- bittorent fix; rel2

Revision 1.42  2004/03/08 13:39:24  wiget
- 2.5.16

Revision 1.41  2004/02/17 10:53:01  qboosh
- pl fix, cosmetics

Revision 1.40  2004/02/17 10:33:08  ciesiel
- added pl desc to mldonkey-utils

Revision 1.39  2004/02/17 09:11:56  wiget
- updated to 2.5.12

Revision 1.38  2004/02/11 21:52:39  undefine
- copy config.sub. mayby it build on amd64... who knows?

Revision 1.37  2004/02/11 14:25:36  wiget
- added utils subpackage
- added mlprogress and mlim to gui subpackage
- release 2

Revision 1.36  2004/02/11 13:38:26  ciesiel
- moved from DEVEL branch
- upgraded to 2.5.11 version

Revision 1.35.2.3  2004/02/11 12:58:10  wiget
- added newgtk.patch (fix building gui)
- fixed labgtk BR

Revision 1.35.2.2  2004/02/11 09:13:33  ciesiel
- upgraded to 2.5.11 version
- build without gui

Revision 1.35.2.1  2004/01/16 21:07:11  ciesiel
- upgraded to snap 20031228
- build without gui

Revision 1.35  2003/12/29 20:53:29  grzegol
- BR: ocaml-lablgtk-devel >= 1.2.6

Revision 1.34  2003/12/23 23:02:19  grzegol
- added gToolbox patch (fixes building with new ocaml-gablgtk)
- regenerate ac
- STBR for AC

Revision 1.33  2003/11/30 17:12:39  ciesiel
- changed perl -> perl-base

Revision 1.32  2003/11/30 15:59:13  wiget
- new bconds
- gui bcond

Revision 1.31  2003/11/12 15:14:43  baggins
- fix building with ocaml 3.07

Revision 1.30  2003/10/22 12:50:18  wiget
- fixed BR for ocaml

Revision 1.29  2003/10/21 21:18:40  ciesiel
- renamed again ocml define

Revision 1.28  2003/10/21 20:47:56  ciesiel
- upgraded to version 2.5.4

Revision 1.27  2003/09/18 17:23:37  troll
- moved mldonkey-gui.desktop file to %{_desktopdir}

Revision 1.26  2003/09/17 12:20:31  leafnode
- removed requires - GUI can be installed without mldonkey daemon

Revision 1.25  2003/09/17 12:05:50  leafnode
- corrected gui subpackage requires

Revision 1.24  2003/09/16 14:35:48  djrzulf
- added definable variable of version of ocaml,

Revision 1.23  2003/08/12 22:32:50  ankry
- cosmetics

Revision 1.22  2003/08/12 08:34:23  malekith
- remove Requires:
  - that are found automatically (gtk+)
  - that are *not* needed (ocaml-*) (why mldonkey would need compiler?)
- release 3

Revision 1.21  2003/08/11 15:03:13  gotar
- fixed gui subpackage resource files permissions

Revision 1.20  2003/08/01 11:23:21  ciesiel
- merged from RA-branch.
- new version 2.5.3

Revision 1.14.2.7  2003/07/12 21:06:26  blues
- cosmetics

Revision 1.14.2.6  2003/07/10 09:43:58  ciesiel
- fix mldonkey.init; kill and status daemon mlnetd

Revision 1.14.2.5  2003/07/08 20:46:19  ciesiel
- TODO: make kill daemon mlnetd from /etc/rc.d/init.d/mldonkey file

Revision 1.14.2.4  2003/07/08 19:16:34  ciesiel
- changes in %prep section

Revision 1.14.2.3  2003/07/08 18:02:57  matkor
- Autoupdated to version 2.5.3. Release 1.

Revision 1.14.2.2  2003/07/02 01:13:57  blues
- merged cleanups from HEAD

Revision 1.14.2.1  2003/06/27 11:39:54  matkor
- Release 1. Fixed (I hope) desktop icon.

Revision 1.14  2003/05/29 23:25:31  undefine
- update to 2.5

Revision 1.13  2003/05/28 12:59:45  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 05:50:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/05/17 06:44:31  pascalek
- revert user changes

Revision 1.10  2003/05/14 13:41:31  djrzulf
- added BR ocaml-camlp4

Revision 1.9  2003/05/12 13:26:01  djrzulf
- added patch, but still doesn't build:
  Unbound value GEdit.text

Revision 1.8  2003/05/12 12:32:15  djrzulf
- started update 2.4,

Revision 1.7  2003/05/10 11:31:33  pascalek
- Req user-mldonkey

Revision 1.6  2003/04/26 10:19:04  mkierus
- fixed Requires

Revision 1.5  2003/03/28 20:10:04  qboosh
- s/lablgtk/ocaml-lablgtk/

Revision 1.4  2003/02/08 10:48:24  leafnode
- added icon and desktop files for GUIs

Revision 1.3  2002/12/26 13:48:33  qboosh
- completed pl descriptions
- added some missing BR/R

Revision 1.2  2002/12/25 00:54:57  leafnode
- added missing requires and buildrequires

Revision 1.1  2002/12/25 00:50:59  leafnode
- spec file created, adapterized
